Module work		! For Householder reduction

integer n

logical simetric

real(8) EPS, EPS_lambda
integer lnit

real(8), allocatable :: A(:,:), A0(:,:)		! A~A1

real(8), allocatable :: Q(:,:),	Q1(:,:)	! PK =current

real(8), allocatable :: PK(:,:)

real(8), allocatable :: v(:), p(:)	! x~v; p~q

real(8), allocatable :: diag(:)

real(8), allocatable :: t(:,:)
complex(8), allocatable:: t_z(:,:)

real(8), allocatable :: lambda(:)
complex(8), allocatable :: lambda_z(:)


integer, allocatable :: multiple(:), done(:)

integer, allocatable :: ibloc(:)

real(8), allocatable :: y(:)
complex(8), allocatable :: y_z(:)

real(8), allocatable :: VEC(:,:)
complex(8), allocatable :: VEC_Z(:,:)

integer is		! for shift

!real(8) tol
real(8), allocatable :: tol(:)
integer, allocatable :: iter_refine(:)

real(8), allocatable :: diag_bal(:)	! Diagonals for Balance

end Module work
